# React Final Form Fields

> Version 2! Now supporting `react-native-web`!

> ⚠️ Version 2.0.2 (alpha) notice. You must supply a `containers` prop on each field with this syntax:

```js
const tiketContainers = {
  OuterContainer: styled.View`
    border-style: dotted;
    border-color: green;
    border-width: 3;
    width: 100%;
    padding-vertical: 15;
    padding-horizontal: 15;
  `,
  LabelContainer: styled.View`
    position: absolute;
    margin-left: 16;
    max-width: 85;
    top: 10;
    z-index: 2;
    background-color: ${({ meta: { error } }) => (error ? 'white' : 'white')};
    justify-content: center;
    align-items: center;
    padding-horizontal: 5;
  `,
  Label: styled.Text`
    color: red;
    font-size: 12;
    line-height: 15;
  `,
  FieldContainer: styled.View`
    margin-top: 10;
    width: 100%;
    flex-grow: 1;
    flex-direction: row;
  `,
  ErrorContainer: styled.View``,
  ErrorText: styled.Text`
    color: pink;
  `,
}
```

Sorry for the inconcenience!

Drop-in field components for `react-final-form` on all platforms (ios, Android, web).

| Component            |     | 🤖  | Web |
| :------------------- | :--: | :-: | :-: |
| Radio                |  ✓   |  ?  |  ✓  |
| Button               |  ✓   |  ?  |  ✓  |
| Calendar             | 👷‍♀ |  ?  |  ?  |
| Checkbox             |  ✓   |  ?  |  ✓  |
| FloatingActionButton |  ?   |  ?  |  ?  |
| HeaderButtonBack     |  ✓   |  ✓  |  ✓  |
| Icons                |  ✓   |  ✓  |  ✓  |
| TextField            |  ✓   |  ?  |  ✓  |

# Preview it

Do a git clone or npm install. Go to project folder. run `yarn` and `yarn run storybook`.
